## pyssim 0.2

=== requirements.txt ===
pillow
numpy
scipy
argparse

=== debian/changelog ===
pyssim (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #825899)

 -- Gilles Dubuc <gilles@wikimedia.org>  Wed, 18 May 2016 16:16:36 +0000

=== debian/control ===
Source: pyssim
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-argparse,
               python-numpy,
               python-pil,
               python-scipy,
               python-setuptools,
               python3-all,
               python3-numpy,
               python3-pil,
               python3-scipy,
               python3-setuptools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: https://github.com/jterrace/pyssim
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyssim.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyssim.git

Package: pyssim
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyssim
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the Python 2 binaries.

Package: python-pyssim
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-argparse, python-numpy, python-pil, python-scipy
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the library for Python 2.

Package: python3-pyssim
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-pil, python3-scipy
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pyssim

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# No tests provided with the package

override_dh_clean:
	rm -rf pyssim.egg-info .cache
	dh_clean

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-pyssim/usr/bin
	mkdir -p debian/pyssim/usr
	mv $(CURDIR)/debian/python-pyssim/usr/bin $(CURDIR)/debian/pyssim/usr/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyssim/pyssim-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyssim 0.7

=== debian/changelog ===
pyssim (0.7-1) unstable; urgency=medium

  * Add myself as active uploader
  * New upstream version 0.7
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 01:21:30 +0200

pyssim (0.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:47:15 -0400

pyssim (0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - update Vcs-* fields to point to salsa.d.o
    - set Section to "graphics" for pyssim package; Closes: #827857
  * Drop python2 support; Closes: #937547

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 20:48:09 -0500

=== debian/control ===
Source: pyssim
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-numpy,
               python3-pil,
               python3-scipy,
               python3-setuptools
Rules-Requires-Root: no
Homepage: https://github.com/jterrace/pyssim
Vcs-Git: https://salsa.debian.org/python-team/packages/pyssim.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyssim

Package: pyssim
Section: graphics
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyssim
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the Python 3 binaries.

Package: python3-pyssim
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-pil, python3-scipy
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pyssim

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# No tests provided with the package

override_dh_clean:
	rm -rf pyssim.egg-info .cache
	dh_clean

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/pyssim/usr
	mv $(CURDIR)/debian/python3-pyssim/usr/bin $(CURDIR)/debian/pyssim/usr/

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyssim/pyssim-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyssim 0.7.1

=== debian/changelog ===
pyssim (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Add debian/salsa-ci.yml
  * Rewrite d/rules with newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Jan 2026 13:12:10 +0100

=== debian/control ===
Source: pyssim
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gilles Dubuc <gilles@wikimedia.org>,
 Alexandre Detiste <tchet@debian.org>,
Section: python
Standards-Version: 4.7.3
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-numpy,
 python3-pil,
 python3-scipy,
 python3-setuptools,
Homepage: https://github.com/jterrace/pyssim
Vcs-Git: https://salsa.debian.org/python-team/packages/pyssim.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyssim

Package: pyssim
Section: graphics
Architecture: all
Depends:
 python3-pyssim,
 ${misc:Depends},
 ${python3:Depends},
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the Python 3 binaries.

Package: python3-pyssim
Architecture: all
Depends:
 python3-numpy,
 python3-pil,
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
Description: Tool computing the Structural Similarity Image Metric (SSIM)
 Computes the SSIM between two images.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pyssim

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# No tests provided with the package

execute_before_dh_clean:
	rm -rf pyssim.egg-info .cache

execute_after_dh_auto_install:
	mkdir -p debian/pyssim/usr
	mv $(CURDIR)/debian/python3-pyssim/usr/bin $(CURDIR)/debian/pyssim/usr/

=== debian/watch ===
Version: 5

Template: Pypi
Dist: pyssim
